# Visualization
TKV2d
Prs2d

# Prs2d_Straightness Class Reference

`#include <Prs2d_Straightness.hxx>`

Inheritance diagram for Prs2d_Straightness:

[legend]

## Public Member Functions

Standard_EXPORT | Prs2d_Straightness (const Handle(Graphic2d_GraphicObject)&aGO, const Standard_Real aX, const Standard_Real aY, const Standard_Real aLength=3.0, const Standard_Real anAngle=0.0)
| Creates a tolerance straightness with the center at <ax>, <ay>; length of this is <alength>; reference point is <axposition>, <ayposition> .
virtual Standard_EXPORT void | Save (Aspect_FStream &aFStream) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT void | Draw (const Handle(Graphic2d_Drawer)&aDrawer)
| Draws the straightness <me>. .

## Constructor & Destructor Documentation

Standard_EXPORT Prs2d_Straightness::Prs2d_Straightness | ( | const Handle(Graphic2d_GraphicObject)& | aGO,
|  | const Standard_Real | aX,
|  | const Standard_Real | aY,
|  | const Standard_Real | aLength = `3.0`,
|  | const Standard_Real | anAngle = `0.0`
| ) |

## Member Function Documentation

Standard_EXPORT void Prs2d_Straightness::Draw | ( | const Handle(Graphic2d_Drawer)& | aDrawer | ) | `[protected, virtual]`

| Implements Graphic2d_Primitive.

Standard_EXPORT const Prs2d_Straightness::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Prs2d_Tolerance.

virtual Standard_EXPORT void Prs2d_Straightness::Save | ( | Aspect_FStream & | aFStream | ) | const`[virtual]`

| Reimplemented from Graphic2d_Line.

The documentation for this class was generated from the following file:

- Prs2d_Straightness.hxx